Subject: [Emu] AD Review of draft-ietf-emu-eaptlscert-05

From: Roman Danyliw <[email-masked]>
Date: Wed, 14 Oct 2020 19:30:50 +0000

Hello!

I performed an AD review of draft-ietf-emu-eaptlscert-05.  This document is in good shape.  Thanks for writing this practical guidance for operators and implementers.  I have minor feedback below that can be addressed concurrently with IETF LC.

Section 3.  Editorial.  s/A certificate chain .... can have 2 - 6 intermediate certificates/A certificate chain ... can commonly have 2 - 6 intermediate certificates/

Section 4.1.1.  Editorial. s/1st/first/

Section 4.2.2.  s/more strict/stricter/

Section 4.3.  Editorial. s/Another second reason/Another reason/

Section 4.3.  Per "unlimited communication from an unauthenticated device as EAP could otherwise be use for bulk data transfer" doesn't parse - ("... devices as EAP ...", also, is it that an unauthenticated devices can use resources?)

Section 4.3.  Would 100 round trips ensure that certificates chains as there are currently deployed (in size) do not get dropped?  I'm inquiring about the basis of the 100 round-trip threshold.

Regards,
Roman